Veo Videos Generation API
POSThttps://api.acedata.cloud/veo/videos

This API can generate videos by inputting prompt words and first and last frame images.

Related Products

Veo - Ace Data Cloud
Veo video generation platform, directly interfaces with this API, high-speed and stable availability.

Request Headers

acceptstring
The specified server should return the response format as application/json.
Please select
authorizationstring
Bearer token

Request Body

actionstringRequired parameter
Types of actions for generating videos. `text2video` generates videos based on prompts; `image2video` generates videos based on 1-2 reference images (first frame, or first frame + last frame); `ingredients2video` generates videos based on 1-3 reference images, internally forcing the use of the `veo31-fast-ingredients` model (the model parameter will be ignored under this action); `get1080p` is a deprecated alias for `POST /veo/upsample` (`action=1080p`), retained only for backward compatibility.
modelstring
The model used for generating videos has a default value of `veo2-fast`.
Please select
resolutionstring
The resolution of the generated video can be `4k`, `1080p`, or `gif`, with the default value being `1080p`.
Please select
promptstring
Prompts for generating videos.
video_idstring
The video ID that needs to be referenced is only valid when the action is `get1080p`.
translationboolean
Whether to enable automatic translation of prompts, the default value is `false`.
Please select
aspect_ratiostring
Set the aspect ratio of the video output, the upstream Veo only supports `16:9` or `9:16`.
Please select
callback_urlstring
The callback URL that will be called after the video generation is complete.
asyncboolean
Whether to process in asynchronous mode. When set to `true`, the interface immediately returns `task_id`, without the need to provide `callback_url`, and then the result can be obtained by polling the corresponding task query interface; if `callback_url` is also provided, the result will be pushed to that callback address.
Please select
image_urlsarray
List of reference image URLs used when generating videos, valid only when the action is `image2video` or `ingredients2video`.

Response

Veo Video Generation
Allow Use General Balance

When 'Allow General Balance' is enabled, the general balance is used automatically if an app's balance is insufficient.

Shell

Python

JavaScript

Java

Go

PHP

Kind reminder: For streaming requests, the above code may not be fully applicable. Please refer to the integration documentation for changes.